SystemOrganization addCategory: #'UCA-MascotaVirtual'!

TestCase subclass: #MascotaVirtualTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UCA-MascotaVirtual'!

MascotaVirtualTest class
	instanceVariableNames: 'juega'!

MascotaVirtualTest class
	instanceVariableNames: 'juega'!

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'js 8/28/2012 20:37'!
test01dadoUnaMascotaVirtualSuNivelDeContentaDeberiaSerMayorACero

	| unaMascotaVirtual |
	unaMascotaVirtual := MascotaVirtual new.
	self assert: (unaMascotaVirtual nivelContenta >= 0).

	! !

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'jmaestri 8/28/2012 21:35'!
test02DadoUnaMascotaHambrientaSiComeDeberiaPonerseContenta

	| unaMascotaVirtualHambrienta |
	unaMascotaVirtualHambrienta := MascotaVirtual new.
	unaMascotaVirtualHambrienta come.
	self assert: (unaMascotaVirtualHambrienta estaContenta).! !

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:06'!
test03dadoUnaMascotaContentaSuNivelDeContentaIncrementaUnaUnidad
	
 	| unaMascotaVirtualContenta nivelContentaAnterior |
	unaMascotaVirtualContenta := MascotaVirtual new.
	nivelContentaAnterior := unaMascotaVirtualContenta nivelContenta.
	unaMascotaVirtualContenta come.
	
	self assert: (nivelContentaAnterior +1 = unaMascotaVirtualContenta nivelContenta).
	
	! !

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:34'!
test04dadoUnaMascotaAburridaSiPasanOchentaMinutosSePoneContenta
	
 	| unaMascotaVirtualAburrida  |
	unaMascotaVirtualAburrida := MascotaVirtual new.
	self assert: unaMascotaVirtualAburrida estaAburrida.
	unaMascotaVirtualAburrida setTimer: 81.
	unaMascotaVirtualAburrida come.
	self assert: unaMascotaVirtualAburrida estaContenta.
		
	! !

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'lucas 9/11/2012 19:25'!
test05dadoUnaMascotaQueJuegaSiEstaContentaSuNivelIncrementaDosUnidades
	
 	| unaMascotaVirtual nivelContentaAnterior  |
	unaMascotaVirtual := MascotaVirtual new.
	nivelContentaAnterior := unaMascotaVirtual nivelContenta.
	unaMascotaVirtual juega.
		self assert: unaMascotaVirtual estaContenta.
		self assert: (nivelContentaAnterior+2 = unaMascotaVirtual nivelContenta). 
	
		
	! !

!MascotaVirtualTest methodsFor: 'as yet unclassified' stamp: 'lucas 9/10/2012 23:04'!
test06DadoUnaMascotaQueJuegaSiEstaAburridaSePoneContenta

	| unaMascotaVirtualAburrida |
	unaMascotaVirtualAburrida := MascotaVirtual new.
	unaMascotaVirtualAburrida juega.
	self assert: (unaMascotaVirtualAburrida estaContenta).

! !

Object subclass: #MascotaVirtual
	instanceVariableNames: 'nivelContenta timer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UCA-MascotaVirtual'!

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:07'!
come
	nivelContenta := nivelContenta +1.! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:39'!
estaAburrida
	^true! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 18:56'!
estaContenta
	^true! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 20:43'!
incrementaUnaUnidad
! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:08'!
initialize
	nivelContenta := 0.! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/10/2012 23:42'!
juega
       nivelContenta := nivelContenta +2.! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:10'!
nivelContenta
	^nivelContenta ! !

!MascotaVirtual methodsFor: 'as yet unclassified' stamp: 'lucas 9/4/2012 21:52'!
setTimer: aSmallInteger 
     timer := aSmallInteger! !
